<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>

<body>

  <script>
    /* 
            Faça um algoritmo que retorne se um palavra é anagrama da outra
        */
    function isAnagram(test, original) {
      var newstr1 = test.toLowerCase().split('').sort().join();
      var newstr2 = original.toLowerCase().split('').sort().join();

      if (newstr1 == newstr2) {
        return true
      }
      return false
    }

    // Resultados esperados
    console.log(isAnagram("foefet", "toffee"), true) // true
    console.log(isAnagram("Buckethead", "DeathCubeK"), true) // true
    console.log(isAnagram("Twoo", "WooT"), true) // true

    console.log(isAnagram("dumble", "bumble"), false) // false
    console.log(isAnagram("ound", "round"), false) // false
    console.log(isAnagram("apple", "pale"), false) // false
  </script>
</body>

</html>
